package com.example.animationtut;

import com.badlogic.gdx.ApplicationListener;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.GL10;
import com.badlogic.gdx.graphics.OrthographicCamera;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.Animation;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.graphics.g2d.TextureRegion;

public class Game implements ApplicationListener{
	
	private OrthographicCamera camera;
	private SpriteBatch batch;
	
	private Animation animation;
	private float animationTime;

	@Override
	public void create() {
		
		// batch
		batch = new SpriteBatch();

		// camera
		camera = new OrthographicCamera();
		camera.setToOrtho(false, 640, 480);
		
		animation = new Animation(1/10f, 
				new TextureRegion(new Texture("animation/01.png")),
				new TextureRegion(new Texture("animation/02.png")),
				new TextureRegion(new Texture("animation/03.png")),
				new TextureRegion(new Texture("animation/04.png")),
				new TextureRegion(new Texture("animation/05.png")),
				new TextureRegion(new Texture("animation/06.png")),
				new TextureRegion(new Texture("animation/07.png")),
				new TextureRegion(new Texture("animation/08.png")));
		animation.setPlayMode(Animation.LOOP);
		
	}

	@Override
	public void render() {
		// clear screen
		Gdx.gl.glClearColor(1, 1, 1, 1);
		Gdx.gl.glClear(GL10.GL_COLOR_BUFFER_BIT);
		
		// update camera every frame
		camera.update();

		// tell the SpriteBatch to render in the
		// coordinate system specified by the camera.
		batch.setProjectionMatrix(camera.combined);
		
		batch.begin();
		batch.draw(animation.getKeyFrame(animationTime += Gdx.graphics.getDeltaTime()), 200, 200);
		batch.end();
	}
	
	@Override
	public void dispose() {}

	@Override
	public void pause() {}

	@Override
	public void resize(int arg0, int arg1) {}

	@Override
	public void resume() {}
}
